# Lists payments configuration

<span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/configurations/payments</span>
This endpoint returns a list of payment configurations.

Endpoint: GET /pay-api/v1/configurations/payments
Version: V1
Security: Bearer

## Response 200 fields (application/json):

  - `zeroCostProcessingOptionId` (integer)
    Identifies the zero cost processing option.
Possible values:
| Id | Type |
|  --- | --- |
| 1 | None |
| 2 | CashDiscount |
| 3 | DualPricing |
| 4 | Surcharge |

Example: 3
    Example: 3

  - `zeroCostProcessingOption` (string)
    Zero cost processing option name.
Possible values:
| Id | Value |
|  --- | --- |
| None | 1 |
| CashDiscount | 2 |
| DualPricing | 3 |
| Surcharge | 4 |

Example: DualPricing
    Example: DualPricing

  - `defaultTipsOptions` (array)
    Identifies an array of default, or preselected, tip options.
These values could be displayed on a receipt as preselected tip value options.
The client's app and UX needs to support that display.
They are presented as a percent alongside the actual money amount.
The intent is to present these values from which clients can quickly select a tip amount.
They are suggestions presented only as a convenience to the client.
The client should able to select any value, a custom value, or no value
These values are configured by the merchant.
Example: [10, 12.0, 15.25, 20.5]
    Example: [10,15.25,20.5]

  - `isTipsEnabled` (boolean)
    Indicates tips are enabled.
If `true`, tips are enabled.
If `false`, tips are not enabled.
Transactions with tip values will fail with a 400 response.
This also includes the one-step transaction `POST {{baseURL}}/pay-api/v1/transactions/sale`.
Tips are enabled or disabled in the Sandbox Merchant dashboard.
Example: true
    Example: true

  - `defaultSurchargeRate` (number)
    Identifies the default surcharge rate.

This value is configured by the merchant.

Example: 3.5
    Example: 3.5

  - `defaultCashDiscountRate` (number)
    Identifies the default cash discount rate.

This value is configured by the merchant.

Example: 3.5
    Example: 3.5

  - `defaultDualPricingRate` (number)
    Identifies the default dual pricing rate.

Dual pricing is when the merchant displays two prices for the same product.
For example, for cash or credit card.
The dual pricing rate is the additional charge for the other price, such as with a credit card.

This value is configured by the merchant.

Example: 3.5
    Example: 3.5

  - `availableCurrencies` (array)
    Identifies the available currencies

  - `availableCurrencies.id` (integer)
    Indicates the currency identifier.

Example: 1  (for USD)
    Example: 1

  - `availableCurrencies.name` (string)
    Indicates the currency (in ISO 4217 alpha-3 currency code format).

Example: USD
    Example: USD

  - `availableCardTypes` (array)
    Available card types.

  - `availableCardTypes.id` (integer)
    Indicates the Flute credit card type identifier code.
Example: 2
    Example: 2

  - `availableCardTypes.name` (string)
    Indicates the name of the credit card.
Example: MasterCard
    Example: MasterCard

  - `availableTransactionTypes` (array)
    Indicates available transactions types.

  - `availableTransactionTypes.id` (integer)
    Indicates the Flute transaction type identifier code.
Example: 6
    Example: 6

  - `availableTransactionTypes.name` (string)
    Indicates the name of the transaction type..
Example: CardAuthentication
    Example: CardAuthentication

  - `availablePaymentProcessors` (array)
    Available payment processors.

  - `availablePaymentProcessors.id` (string)
    Indicates the payment processor identifier.

Example: 965865ef-b17d-4153-b952-d8902e584f7d
    Example: 965865ef-b17d-4153-b952-d8902e584f7d

  - `availablePaymentProcessors.name` (string)
    Indicates the name of the payment processor.

Example: TSYS
    Example: TSYS

  - `availablePaymentProcessors.typeId` (integer)
    Indicates the payment processor type identifier.
Possible values are:
| Id | Name |
|  --- | --- |
| 1 | TSYS |
| 2 | EFT |

Example: 1
    Example: 1

  - `availablePaymentProcessors.type` (string)
    Indicates the payment processor type.
Possible values are:
| Name | Id |
|  --- | --- |
| TSYS | 1 |
| EFT | 2 |

Example:TSYS
    Example: TSYS

  - `availablePaymentProcessors.isDefault` (boolean)
    Indicates this is the default payment processor.
If `true`, this is the default payment processor.
If `false`, this is not the default payment processor.
Example: true
    Example: true

  - `availablePaymentProcessors.settlementBatchTimeSlots` (array)
    Indicates an object describing the scheduled time windows for settlement batch processing.

  - `availablePaymentProcessors.settlementBatchTimeSlots.hours` (integer)
    Indicates the hour (in 24-hour format, 0 - 23) of the batch settlement.
Examples:
1
09
15
23

  - `availablePaymentProcessors.settlementBatchTimeSlots.minutes` (integer)
    Indicates the minute (0 - 59) of the batch settlement.
Examples:
00
15
49

  - `availablePaymentProcessors.settlementBatchTimeSlots.timezoneName` (string)
    Indicates the time zone (in IANA Time Zone Identifier) of the batch settlement.
Example: America/New_York
    Example: America/New_York

  - `avs` (object)

  - `avs.isEnabled` (boolean)
    Indicates the AVS (address verification service) is enabled.
If `true`, AVS is enabled.
If `false`, AVS is not enabled.
Example: true
    Example: true

  - `avs.profileId` (integer)
    Indicates the profile type identifier of the the AVS (address verification service) configuration.

Example: 1
    Example: 1

  - `avs.profile` (string)
    Indicates the profile type of the the AVS (address verification service) configuration.

The profile type specifies the strictness or leniency of the validation and fraud controls on transactions.
Values may include lenient, normal, strict, or custom.
The actual values may vary.

Example: strict
    Example: strict

  - `isCustomerCardSavingByTerminalEnabled` (boolean)
    Indicates the terminal saves the customer's card after the transaction is processed.
If `true`, the customer's card is saved.
If `false`, the customer's card is not saved.
Example: true
    Example: true

  - `companyName` (string)
    Indicates the name of the customer's company or organization.

Example: Peppared Street Cafe
    Example: Peppared Street Cafe

  - `mccCode` (string)
    Indicates the MCC (merchant category code).
Example: 28
    Example: 28

  - `mccCodeDescription` (string)
    Indicates the merchant category code description.

Example: Hospitals
    Example: Hospitals

  - `currencyId` (integer)
    Indicates the currency identifier.
Possible values can be found in `AvailableCurrencies`.
Example: 1  (for USD)
    Example: 1

  - `currencyIsoCode` (string)
    Indicates the currency (in ISO 4217 alpha-3 currency code format).

Example: USD
    Example: USD

  - `maxTransactionAmount` (number)
    Indicates the maximum transaction amount limit.

Example: 32000
    Example: 32000

## Response 400 fields (application/json):

  - `details` (string)
    Indicates details about the error.

Example: Validation failed: -- Email: 'Email' is not a valid email address. Severity: Error
    Example: Validation failed: -- Email: 'Email' is not a valid email address. Severity: Error

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Status | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)
    Indicates the source of the error.
Example: <Service>
    Example: <Service>

  - `exceptionType` (string)
    Indicates the error's exception type.

Example: FluentValidation.ValidationException
    Example: FluentValidation.ValidationException

  - `correlationId` (string)
    Indicates the correlation identifier.

Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef
    Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef

  - `entityId` (string)
    Indicates the entity identifier.
Example:
null

  - `errorCode` (string)
    Indicates the error code.
Example:
null

## Response 404 fields (application/json):

  - `details` (string)

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Status | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)

  - `exceptionType` (string)

  - `correlationId` (string)

  - `entityId` (string)

  - `errorCode` (string)

## Response 500 fields (application/json):

  - `details` (string)

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Status | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)

  - `exceptionType` (string)

  - `correlationId` (string)

  - `entityId` (string)

  - `errorCode` (string)

